== Progress ==
* DEVPLAT-321 "clean up ILP32 build job" (0%):
- closed.
* CARD-788 "EPIC: Linux linaro baseline maintenance" (50%):
- moved llct v4.0-rc7. A few issues in llct due to the android topic update to the aosp/android-3.18
resolved, but the others are arising. The last issue is Juno boot failure (kernel oops after starting
avahi-daemon) - still working on that. No updates for ll - still waiting for the things in llct to
settle down.
* DEVPLAT-345 "ll-fold.sh script doesn't work correct with newer git versions" (50%):
- testing revealed that git rerere is more flexible in recognizing known conflicts than ll-fold.sh
implementation. The problem is that "git rerere"'s known conflicts and their resolutions aren't saved
by ll-fold.sh (git saves them only locally), and they won't be available in a cloned repository. This
may result in failure to reconstruct the tree using pinned manifest if using e.g. a freshly cloned git
repo: ll-fold.sh itself may refuse to recognize a conflict to be known, and git rerere may not know this
conflict yet too. (The workaround could be to reconstruct earlier snapshots first - so that ll-fold.sh
applied the relevant solutions first time, and git rerere would care of applying them when reconstructing the
later snapshots).
The ARM's patches themselves look safe - they do address the types of the merge conflicts ever occurred during
the whole llct and ll lifesycles.
== Plans ==
* CARD-788 "EPIC: Linux linaro baseline maintenance":
- resolve the remaining issue(s?) in llct; update linux-linaro to v4.0.
* DEVPLAT-345 "ll-fold.sh script doesn't work correct with newer git versions":
- complete the card. Create a new one to address the issue with proper saving and sharing conflicts resolutions.
== Issues ==
* none
== Progress ==
* DEVPLAT-321 "clean up ILP32 build job" (35%):
- with Fathi's help the linux-linaro-tracking-ll-ilp32.yaml has been
fixed and added ci/job/configs.git. The jenkins job using this config is enabled.
* CARD-788 "EPIC: Linux linaro baseline maintenance" (50%):
- moved llct and ll to v4.0-rc6. Later, on April 02, Amit P. merged the aosp/android-3.18 branch
into the Android topic for llct, and it caused some issues - Amit has addressed most of the numerous
merge conflicts, but few merge issues turned out to be unnoticed. For this reason ll is not
being updated to the most recent llct - waiting for the things in llct to settle down.
* DEVPLAT-345 "ll-fold.sh script doesn't work correct with newer git versions" (15%):
created. Drafted the test scripts to ensure that the ll-fold.sh changes to do under this card
don't introduce regressions (in particular - in re-creating the tree snapshots using the pinned
manifests).
== Plans ==
* CARD-788 "EPIC: Linux linaro baseline maintenance":
- resolve the android topic related issues in llct; update linux-linaro to v4.0-rc7
* DEVPLAT-321 "clean up ILP32 build job":
- close the card
* DEVPLAT-345 "ll-fold.sh script doesn't work correct with newer git versions":
- test llct and ll with the test scripts mentioned above. Proceed with fixes for
ll-fold.sh (review once more the set of patches received from ARM) if the testing is OK.
== Issues ==
* none
****************
Team Work Logged
****************
# tyler-baker Progress #
* LAVA-1317 - lava-dispatcher maintenance
* LAVA-1981 - Basic integration of member board (26.67%)
* After getting the memory issues sorted, I was able to flash the latest firmware provided in binary form from: https://github.com/hisilicon/estuary/tree/estuary-v1.1/binary
The documentation is a bit out of date so here is a some notes I've taken.
ifconfig -s eth0 192.168.2.6 255.255.255.0 192.168.2.1
provision 192.168.2.2 -u anonymous -p anonymous -f test/Image -a 0x80000
provision 192.168.2.2 -u anonymous -p anonymous -f test/hip05-d02.dtb -a 0x06000000
provision 192.168.2.2 -u anonymous -p anonymous -f test/rootfs.cpio.gz -a 0x7000000
provision 192.168.2.2 -u anonymous -p anonymous -f CH02TEVBC_V02.bin -a 100000
updatecpld 100000
provision 192.168.2.2 -u anonymous -p anonymous -f bl1.bin -a 100000
spiwfmem 100000 200000 10000
provision 192.168.2.2 -u anonymous -p anonymous -f fip.bin -a 100000
spiwfmem 100000 220000 10000
provision 192.168.2.2 -u anonymous -p anonymous -f PV660D02_B901_release.fd -a 100000
spiwfmem 100000 0000000 200000
I have an outstanding question about how to change the kernel command line arguments, and reported a networking issue encountered in UEFI. Awaiting further information.
* LAVA-1511 - Upstream Kernel CI
* LAVA-1982 - Bug Bisection (20.0%)
* Various boot issues were found in linux-next after the ICE was resolved. The bisection was not straight forward and there are a few unanswered questions. In the end these findings were presented to the SoC maintainers for further investigation.
* LAVA-1511 - Upstream Kernel CI
* LAVA-1978 - kselftest improvements (53.33%)
* Did an initial review of the state of the test and the test output format. Had a discussion with John about some areas for improvement. Wrote a small patch series to fix make install for the ftrace test case.
# stylesen Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1933 - Connect remote slaves to playground (66.67%)
* Completed connecting a beaglebone from local lab and a kvm from digital ocean instance to playground.
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1940 - Fix command line loggers (2.08%)
* Tested with latest code base for work involved.
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1928 - Add timing to YAML logs (31.25%)
* Patch up for review - https://review.linaro.org/#/c/5394/
* Modify to add timestamp only during start and end of an action as per review comment.
* Addressed review comments.
# milo Progress #
* LAVA-1511 - Upstream Kernel CI
* LAVA-1920 - Backend improvements (83.33%)
* Completed work on build log parsing: at build import time, each defconfig dir will be scanned for the build log and it will be parsed. As a result, at max 3 new files will be created (for errors, warnings and mismatches). The same results will be stored in the database.
* LAVA-1511 - Upstream Kernel CI
* LAVA-1811 - Frontend UI improvements/requests (16.67%)
* Fixed how cell strings are displayed and truncated (ellipsis) in order to preserve search capabilities. This might result is slightly different tables spacing though.
# stevan.radakovic Progress #
* LAVA-1536 - LAVA Server
* LAVA-1831 - Add the ability to add/modify/remove meta-data for existing bundles (65.22%)
* Migration long queries cancelation timeout investigation.
* Add new field to allow only manual attributes to be modified/removed.
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1929 - Export a set of variables on the DUT (34.78%)
* Adding new action to unit tests, other fixes from code review.
# neil.williams(a)linaro.org Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1979 - Check multinode pipeline timeout handling (28.57%)
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1961 - Implement Multinode scheduling for pipeline jobs (71.43%)
****************
Team In-Progress
****************
# dean.arnold(a)linaro.org Plan #
* LAVA-1963 - Review new dispatcher documentation
* LAVA-1966 - Bug-1409
# georgy.redkozubov(a)linaro.org Plan #
* LAVA-1777 - Create lava-test-shell helpers for performance collection
# milo.casagrande(a)linaro.org Plan #
* LAVA-1920 - Backend improvements
* LAVA-1971 - Parse build logs and store the results
* LAVA-1554 - Email notification system
# neil.williams(a)linaro.org Plan #
* LAVA-1853 - Ensure VMgroup operations use a clean environment
* LAVA-1987 - Update docs on hacking sessions
* LAVA-1806 - Port VMGroup support as secondary connections
# senthil.kumaran(a)linaro.org Plan #
* LAVA-1976 - 5044
* LAVA-1940 - Fix command line loggers
# stevan.radakovic(a)linaro.org Plan #
* LAVA-1831 - Add the ability to add/modify/remove meta-data for existing bundles
* LAVA-1394 - DF: LAVA server integration
# tyler.baker(a)linaro.org Plan #
* LAVA-1981 - Basic integration of D02
* LAVA-1982 - Bug Bisection
* LAVA-1978 - kselftest improvements
* LAVA-1792 - Tyler's Mentoring
* LAVA-1524 - ARM KVM boot testing
Faffed with network masquerading and local DHCP/TFTP 30% [CARD-1440]
PXE booting D01 working 25% [CARD-1440]
Debian-installer working on D01 with separate kernel 30% [CARD-1440]
Debian-installer working with D-I kernel 15% [CARD-1440]
Wookey
--
Principal hats: Linaro, Debian, Wookware, ARM
http://wookware.org/
== Progress ==
* Submitted patch for building source package with kernel make deb-pkg
(DEVPLAT-303 40%)
* verified UEFI NVM now implemented on hikey (96BOARDS-8 10%)
* Misc Xen/KVM bugfixes (40%)
== Plans ==
* 96borads - check if I can help with integrating uefi etc updates to
build system
* Follow up on perf patches
* Check booting kvm for arm32 using UEFI (DEVPLAT-360)
== Issues ==
* LAVA filters *still* fail to send mail to me:
https://bugs.linaro.org/show_bug.cgi?id=1371
== Progress ==
(4 day week)
* OE (CARD-787) (10%)
* fix libevent-fb
* DEVPLAT-319 (buildhistory) (55%)
* Address gcc 4.9 issues
* Deploy all the .bin files, not just fip.bin
* DEVPLAT-270 (toolchain) (10%)
* Investigate URLTrigger for CI job.
* 96borads (5%)
* Rebase to 4.0rc7
* Update meta-96boards layer
* Debug atf/uefi boot problem
* Fix aarch64 siteconfig for 'dizzy'
== Plans ==
* Add buildhistory to CI loop
* Add URLtrigger to CI job for toolchain
--
Koen Kooi
Builds and Baselines | Release Manager
Linaro.org | Open source software for ARM SoCs
Add test which verifies capacity calculation on arm
architecture platforms.
Since there isn't yet a similar calculation done
for arm64 platforms, this architecture isn't supported
by this test (at least as of now).
Signed-off-by: Larry Bassel <larry.bassel(a)linaro.org>
---
cputopology/cputopology_04.sh | 127 +++++++++++++++++++++++++++++++++++++++++
cputopology/cputopology_04.txt | 1 +
2 files changed, 128 insertions(+)
create mode 100755 cputopology/cputopology_04.sh
create mode 100644 cputopology/cputopology_04.txt
diff --git a/cputopology/cputopology_04.sh b/cputopology/cputopology_04.sh
new file mode 100755
index 0000000..d66c1c8
--- /dev/null
+++ b/cputopology/cputopology_04.sh
@@ -0,0 +1,127 @@
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2015, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Larry Bassel <larry.bassel(a)linaro.org>
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Resources/TestSuite/P…
+
+source ../include/functions.sh
+
+calc_freq()
+{
+ byte1=$1
+ byte2=$2
+ byte3=$3
+ byte4=$4
+ freq=$((byte1*0x1000000+byte2*0x10000+byte3*0x100+byte4))
+}
+
+set_eff() {
+ type=$1
+
+ case $type in
+ arm,cortex-a15) eff=3891 ;;
+ arm,cortex-a7) eff=2048 ;;
+ * ) eff=1024 ;;
+ esac
+}
+
+calc_mid_capacity()
+{
+ dt_cpus=$(ls /sys/firmware/devicetree/base/cpus | grep "cpu(a)[0-9].*")
+ min_capacity=$((0xffffffff))
+ max_capacity=0
+ sched_capacity_shift=10
+
+ for dt_cpu in $dt_cpus; do
+ if [ ! -f /sys/firmware/devicetree/base/cpus/$dt_cpu/clock-frequency ]; then
+ log_skip "no clock frequency file present"
+ return
+ fi
+ if [ ! -f /sys/firmware/devicetree/base/cpus/$dt_cpu/compatible ]; then
+ log_skip "no compatible file present"
+ return
+ fi
+ filename=/sys/firmware/devicetree/base/cpus/$dt_cpu/clock-frequency
+ bytes=$(od -t u1 -A n $filename)
+ calc_freq $bytes
+ cpu_type=$(cat /sys/firmware/devicetree/base/cpus/$dt_cpu/compatible)
+ set_eff $cpu_type
+ capacity=$((($freq>>20)*$eff))
+ if [ $capacity -gt $max_capacity ]; then
+ max_capacity=$capacity
+ fi
+ if [ $capacity -lt $min_capacity ]; then
+ min_capacity=$capacity
+ fi
+ if [ $(((4 * $max_capacity))) -lt $(((3 * ($max_capacity + $min_capacity)))) ]; then
+ middle_capacity=$((($min_capacity + $max_capacity)>>($sched_capacity_shift+1)))
+ else
+ middle_capacity=$(((($max_capacity / 3)>>($sched_capacity_shift-1))+1))
+ fi
+ done
+}
+
+cpu_num=0
+
+verify_cpu_capacity()
+{
+ for dt_cpu in $dt_cpus; do
+ if [ ! -f /sys/firmware/devicetree/base/cpus/$dt_cpu/clock-frequency ]; then
+ log_skip "no clock frequency file present"
+ return
+ fi
+ if [ ! -f /sys/firmware/devicetree/base/cpus/$dt_cpu/compatible ]; then
+ log_skip "no compatible file present"
+ return
+ fi
+ filename=/sys/firmware/devicetree/base/cpus/$dt_cpu/clock-frequency
+ bytes=$(od -t u1 -A n $filename)
+ calc_freq $bytes
+ cpu_type=$(cat /sys/firmware/devicetree/base/cpus/$dt_cpu/compatible)
+ set_eff $cpu_type
+ capacity=$((($freq>>20)*$eff/$middle_capacity))
+ expected_capacity_string=$(dmesg | grep "CPU$cpu_num: update cpu_capacity")
+ expected_capacity=${expected_capacity_string##*cpu_capacity}
+ echo "cpu num: $cpu_num capacity $capacity expected capacity $expected_capacity"
+ check "expected capacity for cpu$cpu_num equal to computed capacity" "test $expected_capacity -eq $capacity"
+
+ cpu_num=$((cpu_num+1))
+ done
+}
+
+verify_capacity()
+{
+ if ! [ -d /sys/firmware/devicetree/base/cpus ]; then
+ log_skip "no cpus directory present"
+ return
+ fi
+
+ calc_mid_capacity
+ dt_cpus=$(ls -1 /sys/firmware/devicetree/base/cpus | egrep "cpu@.{1,2}$")
+ verify_cpu_capacity
+ dt_cpus=$(ls -1 /sys/firmware/devicetree/base/cpus | egrep "cpu@.{3,4}$")
+ verify_cpu_capacity
+}
+
+verify_capacity || exit 1
+test_status_show
diff --git a/cputopology/cputopology_04.txt b/cputopology/cputopology_04.txt
new file mode 100644
index 0000000..36647db
--- /dev/null
+++ b/cputopology/cputopology_04.txt
@@ -0,0 +1 @@
+test capacity calculation
--
1.8.3.2
****************
Team Work Logged
****************
# tyler-baker Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1643 - 4. Trending Builds Boots and Tests (32.0%)
* Moved most kernelci.org projects to github. Merged testing branch to master, and retested functionality. Added cpufreq stress test and started to refactor the templates to use modules and kselftests.
* LAVA-1511 - Upstream Kernel CI
* LAVA-1524 - ARM KVM boot testing (52.0%)
* Basic support has been pushed for VMGroups based boot testing. Currently only Mustang is supported, however Juno should be exactly the same. Need to fix a bug in the report script before this is placed into production. After the ARM64 KVM boots are happening, I'll focus on upstreaming kconfig fragments for ARMv7 based KVM platforms.
* Fixed VMGroups reporting issue, and pushed the changes into the production CI loop.
Upstream KVM boot results can be found here:
http://kernelci.org/boot/?arm64&kvm
* LAVA-1511 - Upstream Kernel CI
* LAVA-1973 - Upstream kselftest fixes (16.0%)
* Reviewed by Kevin, added some cleanups to get ready for submission. Patches posted, awaiting replies/reviews.
# stylesen Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1933 - Connect remote slaves to playground (100.0%)
* Fixing rough edges to get connected.
# gesha Progress #
* LAVA-1317 - lava-dispatcher maintenance
* LAVA-1381 - LC: Simple Loops within LAVA jobs (100.0%)
* Functional test job definition https://review.linaro.org/5306
# stevan.radakovic Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1929 - Export a set of variables on the DUT (100.0%)
* Add logic for pulling environment variables for device from /etc/lava-server/env.dut.yaml
* Passing the enviromnent varibles from master to slave.
* Resolved issues pointed out in code review.
* Looking into problem with logging error stacktraces.
* Writing unit tests.
# neil.williams(a)linaro.org Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1961 - Implement Multinode scheduling for pipeline jobs (100.0%)
# milo Progress #
* LAVA-1511 - Upstream Kernel CI
* LAVA-1920 - Backend improvements (12.5%)
* Started incorporating Kevin's build log parser to extract build log error and warning lines into their own files.
* LAVA-1511 - Upstream Kernel CI
* LAVA-1554 - Email notification system (87.5%)
* Continued work on multi-part email: refactored logic to create TXT based email and used a template also for that. Completed stub template for HTML email.
* Completed boot multipart email report, started work on new build email report.
* Completed build and boot HTML email reports. TXT and HTML reports are now template based.
* Added links to the frontend for the HTML build email report on the defconfig value; added links to the build log on errors/warnings count.
****************
Team In-Progress
****************
# dean.arnold(a)linaro.org Plan #
* LAVA-1963 - Review new dispatcher documentation
* LAVA-1967 - review development documentation
# georgy.redkozubov(a)linaro.org Plan #
* LAVA-1777 - Create lava-test-shell helpers for performance collection
# milo.casagrande(a)linaro.org Plan #
* LAVA-1920 - Backend improvements
* LAVA-1554 - Email notification system
* LAVA-1944 - Create multi-part email
* LAVA-1972 - Add links to frontend and storage
* LAVA-1971 - Parse build logs and store the results
# neil.williams(a)linaro.org Plan #
* LAVA-1961 - Implement Multinode scheduling for pipeline jobs
* LAVA-1436 - YAML description display support
# senthil.kumaran(a)linaro.org Plan #
* LAVA-1928 - Add timing to YAML logs
* LAVA-1933 - Connect remote slaves to playground
# stevan.radakovic(a)linaro.org Plan #
* LAVA-1394 - DF: LAVA server integration
* LAVA-1929 - Export a set of variables on the DUT
* LAVA-1831 - Add the ability to add/modify/remove meta-data for existing bundles
* LAVA-1968 - List alias or if no alias the test name in the tooltip
# tyler.baker(a)linaro.org Plan #
* LAVA-1792 - Tyler's Mentoring
* LAVA-1755 - ST boards support
* LAVA-1524 - ARM KVM boot testing
* LAVA-1643 - 4. Trending Builds Boots and Tests